python-proboscis_1.2.6.0-2_all.deb


Advertisement

Description

python-proboscis - extends Nose with certain TestNG like features - python 2.x

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-proboscis
Package version: 1.2.6.0
Package release: 2
Package architecture: all
Package type: deb
Installed size: 123 B
Download size: 18.37 KB
Official Mirror: archive.ubuntu.com
Proboscis is a Python test framework that extends Python's built-in unittest module and Nose with features from TestNG. TestNG is a testing framework inspired from JUnit and NUnit but introducing some new functionalities that make it more powerful and easier to use. Features: * Uses decorators instead of naming conventions. * Allows for TestNG style test methods, in which a class is initialized once, as an alternative to using class fields. * Allows for explicit test dependencies and skipping of dependent tests on failures. * Runs xUnit style clases if desired or needed for backwards compatibility. * Uses Nose if available (but doesn't require it), and works with many of its plugins. * Runs in IronPython and Jython (although if you're targeting the JVM you should consider using TestNG instead). This package provides the Python 2.x module.

Alternatives

    Download

    Source package: python-proboscis

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-proboscis deb package:
      # sudo apt-get install python-proboscis

    Files

    • /usr/lib/python2.7/dist-packages/proboscis/__init__.py
    • /usr/lib/python2.7/dist-packages/proboscis/asserts.py
    • /usr/lib/python2.7/dist-packages/proboscis/case.py
    • /usr/lib/python2.7/dist-packages/proboscis/check.py
    • /usr/lib/python2.7/dist-packages/proboscis/core.py
    • /usr/lib/python2.7/dist-packages/proboscis/decorators.py
    • /usr/lib/python2.7/dist-packages/proboscis/dependencies.py
    • /usr/lib/python2.7/dist-packages/proboscis/sorting.py
    • /usr/lib/python2.7/dist-packages/proboscis-1.2.6.0.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/proboscis-1.2.6.0.egg-info/SOURCES.txt
    • /usr/lib/python2.7/dist-packages/proboscis-1.2.6.0.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/proboscis-1.2.6.0.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/proboscis/compatability/__init__.py
    • /usr/lib/python2.7/dist-packages/proboscis/compatability/exceptions_2_5.py
    • /usr/lib/python2.7/dist-packages/proboscis/compatability/exceptions_2_6.py
    • /usr/lib/python2.7/dist-packages/proboscis/compatability/raise_2_x.py
    • /usr/lib/python2.7/dist-packages/proboscis/compatability/raise_3_x.py
    • /usr/share/doc/python-proboscis/changelog.Debian.gz
    • /usr/share/doc/python-proboscis/copyright

    Changelog

    2014-05-03 - Thomas Goirand <zigo@debian.org> python-proboscis (1.2.6.0-2) unstable; urgency=medium * Fixed debian/copyright as suggested by the FTP masters. * Fixed long description reference to unexisting example (Closes: #745278). * Standards-Version: 3.9.5. * Updated Homepage URLs.

    2013-09-30 - Thomas Goirand <zigo@debian.org> python-proboscis (1.2.6.0-1) unstable; urgency=low * Initial release. (Closes: #725026)

    Advertisement
    Advertisement